Skip to main content
GET
/
pay_splits
List pay splits
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/pay_splits \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "pay_split",
      "data": {
        "employee": {
          "id": "<id>",
          "object": "employee",
          "links": {
            "self": "/employees/<id>"
          }
        },
        "type": "percentage",
        "title": null,
        "is_default": false,
        "priority_1_bank_account": {
          "id": "<id>",
          "object": "bank_account",
          "data": {
            "employee": {
              "id": "<id>",
              "object": "employee",
              "links": {
                "self": "/employees/<id>"
              }
            },
            "institution_number": "320",
            "institution_name": "President's Choice Bank",
            "institution_name_translations": {
              "en": "President's Choice Bank",
              "fr": "Banque le Choix du Président"
            },
            "institution_name_translated": "President's Choice Bank",
            "transit_number": "02002",
            "transit_address": "600-500 Lakeshore Blvd West POBOX600, Toronto, ON M5V 2V9",
            "account_number_last_3": "916",
            "is_primary": false,
            "is_deletable": false,
            "warnings": {
              "object": "list",
              "data": []
            },
            "created_at": "2026-01-01T00:00:00.000000Z",
            "updated_at": "2026-01-01T00:00:00.000000Z"
          },
          "links": {
            "self": "/bank_accounts/<id>"
          }
        },
        "priority_1_amount": 50,
        "priority_2_bank_account": {
          "id": "<id>",
          "object": "bank_account",
          "data": {
            "employee": {
              "id": "<id>",
              "object": "employee",
              "links": {
                "self": "/employees/<id>"
              }
            },
            "institution_number": "320",
            "institution_name": "President's Choice Bank",
            "institution_name_translations": {
              "en": "President's Choice Bank",
              "fr": "Banque le Choix du Président"
            },
            "institution_name_translated": "President's Choice Bank",
            "transit_number": "02002",
            "transit_address": "600-500 Lakeshore Blvd West POBOX600, Toronto, ON M5V 2V9",
            "account_number_last_3": "916",
            "is_primary": false,
            "is_deletable": false,
            "warnings": {
              "object": "list",
              "data": []
            },
            "created_at": "2026-01-01T00:00:00.000000Z",
            "updated_at": "2026-01-01T00:00:00.000000Z"
          },
          "links": {
            "self": "/bank_accounts/<id>"
          }
        },
        "priority_2_amount": 50,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/pay_splits/<id>"
      }
    }
  ],
  "links": {
    "first": "/pay_splits?employee_id=<id>&page=1",
    "last": "/pay_splits?employee_id=<id>&page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

employee_id
string

The employee_id field is required when contractor_id is not present.

contractor_id
string

The contractor_id field is required when employee_id is not present.

expand
enum<string>[]
Available options:
contractor,
employee

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]